package com.supervision.contoller;

import com.supervision.service.IChatService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
@RestController
@RequestMapping("/chat")
@RequiredArgsConstructor
public class ChatController {

    private final IChatService chatService;

    @PostMapping("/talk")
    public String talk(@RequestParam("file") MultipartFile multipartFile) {
        return chatService.talk(multipartFile);
    }
}
